<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .title{
            width: 100%;
            height: 50px;
        }
        .docter{
            width: 50px;
            height: 50px;
            border-radius: 50%;
            overflow: hidden;
        }
        .docter img{
            width: 100%;
        }
        .content{
            align-content: center;
        }
        .user-content{
            float: right;
        }
        .substance{
            display: inline;
            float: left;
        }
        .clear{
            clear: both;
        }
        .content-img{
            width: 500px;
        }
    </style>
</head>
<body>
<div class="all">
    <?php
//        ^ array:5 [▼
//  "docter_id" => "10086"
//  "user" => "14879"
//  "start" => "1614421200"
//  "end" => "1614421800"
//  "order_id" => "97453"
//]
        $docter = request('docter_id');
        $user = request('user');
        $docter_info = \App\Models\Docter::where('id',$docter)->first(['name','avatar'])->toArray();
        $user_info = \App\Models\User::where('id',$user)->first(['nickname','avatar'])->toArray();
    ?>
    <div class="title">订单号:{{$order_id}}</div>
        @foreach($arr as $value)
            @php($str = substr($value['senderId'],0,6))
            @if($str == 'doctor')
                {{--头像和名字区域--}}
                <div class="content">
                    <div class="docter-content">
                        {{$docter_info['name']}}
                    </div>
                    <div class="docter">
                        <img src="{{$docter_info['avatar']}}" alt="医生">
                    </div>
                    <div class="clear"></div>
                </div>
                {{--内容区域--}}
                <div>
                    @if($value['type']=='audio')
                        <?php
                            $url = json_decode($value['payload']);
                            $url = (Array)$url;
                        ?>
                        <div>
                            <audio src="{{$url['url']}}" controls="controls">
                            </audio>
                        </div>
                    @elseif($value['type']=='text')
                        <?php
                        $text = json_decode($value['payload']);
                        $text = (Array)$text;
                        ?>
                        <div>
                            <p>{{$text['text']}}</p>
                        </div>
                        @elseif($value['type']=='image')
                        <?php
                        $image = json_decode($value['payload']);
                        $image = (Array)$image;
                        ?>
                        <div>
                            <img class="content-img" src="{{$image['url']}}" alt="图片">
                        </div>
                    @endif
                </div>
            @elseif($str == 'member')
                {{--头像和名字区域--}}
                <div class="user-content">
                    <div class="docter-content">
                        {{$user_info['nickname']}}
                    </div>
                    <div class="docter">
                        <img src="{{$user_info['avatar']}}" alt="用户">
                    </div>
                    <div class="clear"></div>
                </div>
                {{--内容区域--}}
                <div>
                    @if($value['type']=='audio')
                        <?php
                        $url = json_decode($value['payload']);
                        $url = (Array)$url;
                        ?>
                        <div>
                            <audio src="{{$url['url']}}" controls="controls">
                            </audio>
                        </div>
                    @elseif($value['type']=='text')
                        <?php
                        $text = json_decode($value['payload']);
                        $text = (Array)$text;
                        ?>
                        <div>
                            <p>{{$text['text']}}</p>
                        </div>
                    @elseif($value['type']=='image')
                        <?php
                        $image = json_decode($value['payload']);
                        $image = (Array)$image;
                        ?>
                        <div>
                            <img class="content-img" src="{{$image['url']}}" alt="图片">
                        </div>
                    @endif
                </div>
            @endif
        @endforeach

</div>
</body>
</html>